---
base_model:
- KPEP/krx-qwen-2.5-7b-v1.4.2
- Tsunami-th/Tsunami-0.5x-7B-Instruct
- Qwen/Qwen2.5-7B
library_name: transformers
tags:
- mergekit
- merge
license: apache-2.0
---
# merge

This is a merge of pre-trained language models created using [mergekit](https://github.com/cg123/mergekit).

## Merge Details
### Merge Method

This model was merged using the [task arithmetic](https://arxiv.org/abs/2212.04089) merge method using [Qwen/Qwen2.5-7B](https://huggingface.co/Qwen/Qwen2.5-7B) as a base.

### Models Merged

The following models were included in the merge:
* [KPEP/krx-qwen-2.5-7b-v1.4.2](https://huggingface.co/KPEP/krx-qwen-2.5-7b-v1.4.2)
* [Tsunami-th/Tsunami-0.5x-7B-Instruct](https://huggingface.co/Tsunami-th/Tsunami-0.5x-7B-Instruct)

### Configuration

The following YAML configuration was used to produce this model:

```yaml
models:
  - model: Tsunami-th/Tsunami-0.5x-7B-Instruct
    parameters:
      weight: 1.0
  - model: KPEP/krx-qwen-2.5-7b-v1.4.2
    parameters:
      weight: 1.0
merge_method: task_arithmetic
base_model: Qwen/Qwen2.5-7B
parameters:
    normalize: true
dtype: bfloat16
```